#
# spec file for package perl-Test-LongString
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-LongString
Version:        0.17
Release:        1.31
%define cpan_name Test-LongString
Summary:        tests strings for equality, with more helpful failures
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-LongString/
Source:         http://www.cpan.org/authors/id/R/RG/RGARCIA/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Builder::Tester) >= 1.04
Requires:       perl(Test::Builder::Tester) >= 1.04
%{perl_requires}

%description
This module provides some drop-in replacements for the string comparison
functions of the Test::More manpage, but which are more suitable when you
test against long strings. If you've ever had to search for text in a
multi-line string like an HTML document, or find specific items in binary
data, this is the module for you.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.17
  see /usr/share/doc/packages/perl-Test-LongString/Changes
  0.16
    Force string comparison to use string context (Nick Pongratz)
  0.17
    Regenerate tarball, update changes
* Fri Sep 19 2014 coolo@suse.com
- updated to 0.16, no changelog
* Tue Feb  8 2011 lars@linux-schulserver.de
- update to 0.15:
  + Show line and column number in diagostics
* Mon Jan 17 2011 coolo@novell.com
- update to 0.14
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Nov 28 2010 coolo@novell.com
- remove .packlist file
* Mon Aug 11 2008 lrupp@suse.de
- initial version 0.11
